package com.rf.psychological.scale.service;

import com.rf.psychological.dao.model.AnswerEntity;

import java.util.List;

/**
 * @author zsy
 * @description:
 * @date 2021/5/14 10:49
 */
public interface AnswerService {
    /**
     * 根据flag获取全部答案
     * @param flag
     */
    List<AnswerEntity> getAnswerByFlag(String flag);

    /**
     * 保存
     * @param answerEntity
     */
    void saveAnswer(AnswerEntity answerEntity);

    void saveBatchAnswer(List<AnswerEntity> answerEntity);

    List<AnswerEntity> findAll();

    void updateAnswer(AnswerEntity answerEntity);

    void deleteAnswerByFlag(String flag);
}
